package com.qmth.themis.business.enums;

/**
 * @Description: 题目类型 enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/10/21
 */
public enum QuestionTypeEnum {

    /**
     * 单选
     */
    SINGLE_ANSWER_QUESTION(1L, "单选题"),
    /**
     * 多选
     */
    MULTIPLE_ANSWER_QUESTION(2L, "多选题"),
    /**
     * 判断
     */
    BOOL_ANSWER_QUESTION(3L, "判断题"),
    /**
     * 填空
     */
    FILL_BLANK_QUESTION(4L, "填空题"),
    /**
     * 问答
     */
    TEXT_ANSWER_QUESTION(5L, "问答题"),
    /**
     * 套题
     */
    NESTED_ANSWER_QUESTION(6L, "套题");

    private Long type;

    private String title;

    private QuestionTypeEnum(Long type, String title) {
        this.type = type;
        this.title = title;
    }

    public Long getType() {
        return type;
    }

    public String getTitle() {
        return title;
    }
}
